package pwc.taxtech.atms.dto.vatdto;

import lombok.Getter;
import lombok.Setter;
import pwc.taxtech.atms.constant.enums.FormulaDataSourceType;

import java.math.BigDecimal;
import java.util.Date;

@Setter
@Getter
public class InputInvoiceDataSourceDto extends FormulaDataSourceDto {

    public InputInvoiceDataSourceDto() {
        super();
        this.setType(FormulaDataSourceType.InputInvoice.getCode());
    }

    public int Period;
    public Date certificationDate;
    public String sellerTaxNumber;
    public String invoiceCode;
    public String invoiceNumber;
    public BigDecimal taxAmount;
    public int invoiceType;
}
